import Vue from 'vue'
import Router from 'vue-router'


Vue.use(Router)

export const constantRoutes =[
  {
    path: '/',
    name: 'index',
    component:  (resolve) => require(['@/views/home'], resolve)
  },
  {
    path: '/login',
    name: 'login',
    component:  (resolve) => require(['@/views/login'], resolve)
  }
];


export default new Router({
  mode: 'history', // 去掉url中的#
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRoutes
})
